Bug 1367759 - [RFE] [webui] warn admin if there is only one IPA server with CA
Summary: [RFE] [webui] warn admin if there is only one IPA server with CA
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Varun Mylaraiah
QA Contact: Kaleem
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 12:02 UTC by Martin Bašti
Modified: 2016-11-04 06:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 06:01:20 UTC


Attachments (Terms of Use)
Verified on ipa-server-4.4.0-10.el7.x86_64 (39.54 KB, image/png)
2016-09-16 13:43 UTC, Varun Mylaraiah
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Martin Bašti 2016-08-17 12:02:53 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/5828

Having only one IPA server with CA is very dangerous because CA cannot be installed if CA certificate private keys are lost. In such case it is required to recreate all certs which is a very tedious process.

With introduction of [http://www.freeipa.org/page/V4/Server_Roles server roles] web ui will receive information of how many CA exist in a topology.

Web UI should warn admins at a server role page if there is only one replica with CA.

Comment 3 Varun Mylaraiah 2016-09-16 13:43 UTC
Created attachment 1201645 [details]
Verified on ipa-server-4.4.0-10.el7.x86_64

Comment 5 errata-xmlrpc 2016-11-04 06:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.